// cExistent.cpp: implementation of the cExistent class.
//
//////////////////////////////////////////////////////////////////////

#include "cExistent.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

template <class cSpace>
cExistent<cSpace>::cExistent(){

}

template <class cSpace>
cExistent<cSpace>::~cExistent(){

}

template <class cSpace>
cSpace *cExistent<cSpace>::SetSpace(cSpace *_pSpace){
	cSpace *pOldSpace;
	pOldSpace = pSpace;
	pSpace = _pSpace;
	return pOldSpace;
}
